# Class SearchError

An error that is thrown when a search operation fails for one or more feature sources.

#### Hierarchy

- Error
  - SearchError

#####
Index

### Constructors

constructor

### Properties

errors

##
Constructors

### constructor

- new SearchError(errors, message?, ...args): SearchError

- Initializes a new instance of the SearchError class.

  #### Parameters

  - errors: Iterable<QueryError | [FeatureSource | FeatureSource[], Error] | SearchError, any, any>

    A mapping of feature sources to errors.

  - `Optional` message: string

    An optional error message.

  - `Rest`...args: unknown[]

    Values for placeholders in the error message.

  #### Returns SearchError

  Overrides Error.constructor

##
Properties

### `Readonly` errors

errors: Map<FeatureSource, Error>

Maps individual feature sources to an error that occurred for that source.